Subject: Re: [PATCH] global: resolve Perl executable via PATH

From: Todd Zullinger <[email-masked]>
Date: Wed, 5 Apr 2023 10:42:52 -0400

Patrick Steinhardt wrote:
> The majority of Perl scripts we carry in Git have a `#!/usr/bin/perl`
> shebang. This is not a portable location for the Perl interpreter and
> may thus break on some systems that have the interpreter installed in a
> different location. One such example is NixOS, where the only executable
> installed in `/usr/bin` is env(1).

Is there a reason to not set PERL_PATH, which is the
documented method to handle this?  From the Makefike:

# Define PERL_PATH to the path of your Perl binary (usually /usr/bin/perl).

-- 
Todd